Bug 146814 - Password characters deleted when unlocking
Password characters deleted when unlocking
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 15:31 EST by Doyle Young
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doyle Young 2005-02-01 15:31:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When unlocking, I will enter my password and certain characters will
execute a delete (in my case the number 8).

For example, if password was "fake8pass", this is what the
input/output would look like:

enter fake and the password window shows ****
enter 8 and the password window shows ***

So, I can never unlock the screen.

If I use ctrl-alt-f1 to get a command prompt and kill xscreensaver I
get X back, but the majority of keys on my keyboard do not work. 
(ctrl-alt-backspace does thankfully)

This does not happen every time my screen locks and is sometimes, but
not always, accompanied by GLX or "grew in size" errors (Don't have
the exact error text available, sorry)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Let Xscreensaver timeout and lock.
2. Attempt to enter password.
3. If bug is happening, certain characters will delete previously
entered characters.
4. Hit Enter, unlock attempt fails and unlock window redisplays.

Actual Results:  The unlock window is redisplayed.

Expected Results:  Should have been able to unlock the screen
successfully with the correct password.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:45:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:43:27 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.